Package ru.bitel.bgbilling.modules.cerbercrypt.common.bean

# Class UserDevice

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.cerbercrypt.common.bean.UserDevice

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class UserDevice extends IdTitle
Устройство юзера. привязывается к user_card и имеет какой-то дополнительный конфиг, который отдаётся в активаторъ.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserDevice()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `UserDevice`
  `setComment(String comment)`
  `UserDevice`
  `setConfig(String config)`
  `UserDevice`
  `setId(int id)`
  Устанавливает id объекта
  `UserDevice`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### UserDevice

    public UserDevice()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getConfig

    public String getConfig()

  - ### setComment

    public UserDevice setComment(String comment)

  - ### setConfig

    public UserDevice setConfig(String config)

  - ### setId

    public UserDevice setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public UserDevice setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`